package cn.com.qmth.am.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;

import cn.com.qmth.am.bean.ImageSlice;
import cn.com.qmth.am.entity.base.IdEntity;

@TableName("am_question")
public class QuestionEntity extends IdEntity {

	private static final long serialVersionUID = -6261302618070108336L;

	private Long examId;

	private String subjectCode;
	private Integer mainNumber;
	private Integer subNumber;

	// 满分
	private Double fullScore;
	// 试题内容
	private String content;
	// 试题答案
	private String answer;

	private Integer pageIndex;
	@TableField(value = "image_slice", typeHandler = JacksonTypeHandler.class)
	private ImageSlice imageSlice;
	public Long getExamId() {
		return examId;
	}
	public void setExamId(Long examId) {
		this.examId = examId;
	}
	public String getSubjectCode() {
		return subjectCode;
	}
	public void setSubjectCode(String subjectCode) {
		this.subjectCode = subjectCode;
	}
	public Integer getMainNumber() {
		return mainNumber;
	}
	public void setMainNumber(Integer mainNumber) {
		this.mainNumber = mainNumber;
	}
	public Integer getSubNumber() {
		return subNumber;
	}
	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}
	public Double getFullScore() {
		return fullScore;
	}
	public void setFullScore(Double fullScore) {
		this.fullScore = fullScore;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getAnswer() {
		return answer;
	}
	public void setAnswer(String answer) {
		this.answer = answer;
	}
	public Integer getPageIndex() {
		return pageIndex;
	}
	public void setPageIndex(Integer pageIndex) {
		this.pageIndex = pageIndex;
	}
	public ImageSlice getImageSlice() {
		return imageSlice;
	}
	public void setImageSlice(ImageSlice imageSlice) {
		this.imageSlice = imageSlice;
	}


}
